org.apache.mina.statemachine.context

## Interface StateContextFactory

- All Known Implementing Classes:
    DefaultStateContextFactory

      public interface StateContextFactory

  Factory which creates `StateContext` instances.
  Author:
    Apache MINA Project

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StateContext` | `create()` Creates a new `StateContext`.

- - ### Method Detail

    - #### create

          StateContext create()

      Creates a new `StateContext`.
      Returns:
        the newly created `StateContext`.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.